HITACHI-HICOMMAND-HDLM-MIB DEFINITIONS ::= BEGIN -- This file contains the trap definitions for HDLM v1, v2, v3 and v4 and DMP v1. IMPORTS OBJECT-TYPE FROM RFC-1212 DisplayString FROM RFC1213-MIB TRAP-TYPE FROM RFC-1215 enterprises FROM RFC1155-SMI; hitachi OBJECT IDENTIFIER ::= { enterprises 116 } systemExMib OBJECT IDENTIFIER ::= { hitachi 5 } hiCommandMibs OBJECT IDENTIFIER ::= { systemExMib 35 } hdlmExMib OBJECT IDENTIFIER ::= { hiCommandMibs 2 } hdlmTrap OBJECT IDENTIFIER ::= { hdlmExMib 1 } hglmExMib OBJECT IDENTIFIER ::= { hiCommandMibs 3 } dmpExMib OBJECT IDENTIFIER ::= { hglmExMib 1 } dmpTrap OBJECT IDENTIFIER ::= { dmpExMib 1 } systemAP OBJECT IDENTIFIER ::= { hitachi 7 } hiCommand OBJECT IDENTIFIER ::= { systemAP 35 } hdlm OBJECT IDENTIFIER ::= { hiCommand 2 } hdlmV1 OBJECT IDENTIFIER ::= { hdlm 1 } hdlmV2 OBJECT IDENTIFIER ::= { hdlm 2 } hdlmV3 OBJECT IDENTIFIER ::= { hdlm 3 } hdlmV4 OBJECT IDENTIFIER ::= { hdlm 4 } hglm OBJECT IDENTIFIER ::= { hiCommand 3 } dmp OBJECT IDENTIFIER ::= { hglm 1 } dmpV1 OBJECT IDENTIFIER ::= { dmp 1 } eventSeverity OBJECT-TYPE SYNTAX INTEGER { critical(1), error(2), warning(3), information(4) } ACCESS read-only STATUS mandatory ::= { hdlmTrap 1 } eventType OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 2 } eventCompornent OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 3 } eventMessageID OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 4 } eventMessage OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 5 } eventPathID OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 6 } eventTrapID OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 7 } eventIpAddr OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { hdlmTrap 8 } eventHBAPortWWN OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS optional ::= { hdlmTrap 9 } eventSeverity OBJECT-TYPE SYNTAX INTEGER { critical(1), error(2), warning(3), information(4) } ACCESS read-only STATUS mandatory ::= { dmpTrap 1 } eventType OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 2 } eventComponent OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 3 } eventMessageID OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 4 } eventMessage OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 5 } eventPathID OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 6 } eventTrapID OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 7 } eventIpAddr OBJECT-TYPE SYNTAX DisplayString ACCESS read-only STATUS mandatory ::= { dmpTrap 8 } hdlmTrapV1 TRAP-TYPE ENTERPRISE hdlmV1 VARIABLES { eventSeverity, eventType, eventCompornent, eventMessageID, eventMessage, eventPathID } DESCRIPTION "HDLM Trap Version1." ::= 1 hdlmTrapV2 TRAP-TYPE ENTERPRISE hdlmV2 VARIABLES { eventSeverity, eventType, eventCompornent, eventMessageID, eventMessage, eventPathID, eventTrapID } DESCRIPTION "HDLM Trap Version2." ::= 1 hdlmTrapV3 TRAP-TYPE ENTERPRISE hdlmV3 VARIABLES { eventSeverity, eventType, eventCompornent, eventMessageID, eventMessage, eventPathID, eventTrapID, eventIpAddr } DESCRIPTION "HDLM Trap Version3." ::= 1 hdlmTrapV4 TRAP-TYPE ENTERPRISE hdlmV4 VARIABLES { eventSeverity, eventType, eventCompornent, eventMessageID, eventMessage, eventPathID, eventTrapID, eventIpAddr, eventHBAPortWWN } DESCRIPTION "HDLM Trap Version4." ::= 1 dmpTrapV1 TRAP-TYPE ENTERPRISE dmpV1 VARIABLES { eventSeverity, eventType, eventComponent, eventMessageID, eventMessage, eventPathID, eventTrapID, eventIpAddr } DESCRIPTION "DMP Trap Version1." ::= 1 END